#include <bits/stdc++.h>
using namespace std;

int p[124];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);     cout.tie(0);
    freopen("DONXE.INP","r",stdin);
    freopen("DONXE.OUT","w",stdout);
    int n;
    cin >> n;
    for (int i =0; i <=120; i++) p[i]=0;
    int m,k;
    while (n--)
    {
        cin >> m >> k;
        p[m+k+1]++;
    }
    int ans=0;
    for (int i =60; i>= 50; i--)
        if (p[i]>0) ans=p[i];
    cout<<ans;
    return 0;
}
